Bug Hunting Session
Bug 88270 - Hebrew Smart Quotes Symbols Inconsistent When Switching Between Languages
Summary: Hebrew Smart Quotes Symbols Inconsistent When Switching Between Languages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2015-01-10 15:16 UTC by Amir Adar
Modified: 2018-09-22 22:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
An image of the issue (22.51 KB, image/png)
2015-01-10 15:17 UTC, Amir Adar
Details
Screenshot: 4.5 alpha from Jan 25 2015 (12.20 KB, image/jpeg)
2015-01-29 19:57 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amir Adar 2015-01-10 15:16:32 UTC
Problem description: The symbols used for Hebrew smart quotes change when switching between different languages.

Steps to reproduce:

1. With smart quotes enabled, type an English sentence in quotes (Make sure the paragraph's language is set to English).

2. In a new paragraph, write a Hebrew sentence in quotes and change the paragraph's language to Hebrew.

3. In a new paragraph, write a German sentence in quotes and change the paragraph's language to German.

4. In a new paragraph, write another Hebrew sentence in quotes and change the paragraph's language to Hebrew.

Current behavior:

The two Hebrew sentences have a different pair of curved quotation marks.

Expected behavior:

The two Hebrew sentences should have the same pair of quotation marks.

Additional info:

I asked a question regarding the smart quotes feature, which is not exactly the same as this bug but I believe it might be related: http://ask.libreoffice.org/en/question/44371/funky-smart-quotes-behaviour/

Enclosed is an image of the problem.
Comment 1 Amir Adar 2015-01-10 15:17:16 UTC
Created attachment 112060 [details]
An image of the issue
Comment 2 Urmas 2015-01-10 22:21:56 UTC
I don't see any problems on your screenshot. You need to explain what do you want to see and why.
Comment 3 Amir Adar 2015-01-11 06:55:35 UTC
If you look at the two Hebrew sentences, to the right, you will see that they are enclosed with a different pair of quotation marks for each: in the first sentence, both quotation marks are above the letters, with the curve turned inwards, and in the first sentence, the first quotation mark is below the letters, and the curve is turned outwards. The quotation mark symbols have changed, depending on the language that was used before switching to Hebrew. The language used before should not affect the settings of another language's autocorrect features, and so the Hebrew smart quotes should use the same symbols persistently.
Comment 4 tommy27 2015-01-18 15:59:37 UTC
let's revert status to UNCONFIRMED after user feedback.
Comment 5 Buovjaga 2015-01-29 19:57:15 UTC
Created attachment 112927 [details]
Screenshot: 4.5 alpha from Jan 25 2015

Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 6 QA Administrators 2016-02-21 08:36:12 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 15:26:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306